POST suppliers/price-list
Сохранение прайс листов поставщиков
Request Information
URI Parameters
None.
Body Parameters
Параметры запроса
VendPriceListReq_cmf| Name | Description | Type | Additional information |
|---|---|---|---|
| Document | VendPriceListDocumentReq_cmf |
None. |
|
| Items | Collection of VendPriceListItemReq_cmf |
None. |
|
| Vendor | VendPriceListVendReq_cmf |
None. |
Request Formats
application/json, text/json
Sample:
{
"Document": {
"Date": "2026-09-18T14:32:06.5182774+03:00",
"Number": "sample string 2"
},
"Items": [
{
"Barcode": "sample string 1",
"Brand": "sample string 2",
"Category": "sample string 3",
"CountryOrigin": "sample string 4",
"Currency": "sample string 5",
"Dimensions": {
"Depth": 1.0,
"Height": 2.0,
"Volume": 3.0,
"Weight": 4.0,
"Width": 5.0
},
"Id": "sample string 6",
"Name": "sample string 7",
"Price": 8.0,
"Qty": 9.0,
"RetailPrice": 10.0,
"SupplierId": "sample string 11",
"Uktzed": "sample string 12",
"VatRate": 13.0,
"VendorId": "sample string 14",
"Warranty": 15
},
{
"Barcode": "sample string 1",
"Brand": "sample string 2",
"Category": "sample string 3",
"CountryOrigin": "sample string 4",
"Currency": "sample string 5",
"Dimensions": {
"Depth": 1.0,
"Height": 2.0,
"Volume": 3.0,
"Weight": 4.0,
"Width": 5.0
},
"Id": "sample string 6",
"Name": "sample string 7",
"Price": 8.0,
"Qty": 9.0,
"RetailPrice": 10.0,
"SupplierId": "sample string 11",
"Uktzed": "sample string 12",
"VatRate": 13.0,
"VendorId": "sample string 14",
"Warranty": 15
}
],
"Vendor": {
"Edrpou": "sample string 1",
"GlobalLocationNumber": 2,
"Id": "sample string 3"
}
}
application/xml, text/xml
Sample:
<VendPriceListReq_cmf xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Dynamics.Ax.Application">
<Document>
<Date>2026-09-18T14:32:06.5182774+03:00</Date>
<Number>sample string 2</Number>
</Document>
<Items>
<VendPriceListItemReq_cmf>
<Barcode>sample string 1</Barcode>
<Brand>sample string 2</Brand>
<Category>sample string 3</Category>
<CountryOrigin>sample string 4</CountryOrigin>
<Currency>sample string 5</Currency>
<Dimensions>
<Depth>1</Depth>
<Height>2</Height>
<Volume>3</Volume>
<Weight>4</Weight>
<Width>5</Width>
</Dimensions>
<Id>sample string 6</Id>
<Name>sample string 7</Name>
<Price>8</Price>
<Qty>9</Qty>
<RetailPrice>10</RetailPrice>
<SupplierId>sample string 11</SupplierId>
<Uktzed>sample string 12</Uktzed>
<VatRate>13</VatRate>
<VendorId>sample string 14</VendorId>
<Warranty>15</Warranty>
</VendPriceListItemReq_cmf>
<VendPriceListItemReq_cmf>
<Barcode>sample string 1</Barcode>
<Brand>sample string 2</Brand>
<Category>sample string 3</Category>
<CountryOrigin>sample string 4</CountryOrigin>
<Currency>sample string 5</Currency>
<Dimensions>
<Depth>1</Depth>
<Height>2</Height>
<Volume>3</Volume>
<Weight>4</Weight>
<Width>5</Width>
</Dimensions>
<Id>sample string 6</Id>
<Name>sample string 7</Name>
<Price>8</Price>
<Qty>9</Qty>
<RetailPrice>10</RetailPrice>
<SupplierId>sample string 11</SupplierId>
<Uktzed>sample string 12</Uktzed>
<VatRate>13</VatRate>
<VendorId>sample string 14</VendorId>
<Warranty>15</Warranty>
</VendPriceListItemReq_cmf>
</Items>
<Vendor>
<Edrpou>sample string 1</Edrpou>
<GlobalLocationNumber>2</GlobalLocationNumber>
<Id>sample string 3</Id>
</Vendor>
</VendPriceListReq_cmf>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Базовый ответ
VendPriceListResp_cmf| Name | Description | Type | Additional information |
|---|---|---|---|
| AdditionalInfo | Collection of string |
None. |
|
| ErrorCode | integer |
None. |
|
| ExtDuration | integer |
None. |
|
| InfoLog | string |
None. |
|
| errorMessage | string |
None. |
|
| isError | integer |
None. |
|
| strResponse | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"AdditionalInfo": [
"sample string 1",
"sample string 2"
],
"ErrorCode": 1,
"ExtDuration": 2,
"InfoLog": "sample string 3",
"errorMessage": "sample string 4",
"isError": 5,
"strResponse": "sample string 6"
}
application/xml, text/xml
Sample:
<VendPriceListResp_cmf xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Dynamics.Ax.Application">
<AdditionalInfo xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</AdditionalInfo>
<ErrorCode>1</ErrorCode>
<ExtDuration>2</ExtDuration>
<InfoLog>sample string 3</InfoLog>
<errorMessage>sample string 4</errorMessage>
<isError>5</isError>
<strResponse>sample string 6</strResponse>
</VendPriceListResp_cmf>